import request from '@/utils/request'

// 查询购物车列表
export function listGoodsCart(query) {
  return request({
    url: '/system/GoodsCart/list',
    method: 'get',
    params: query
  })
}

// 查询购物车详细
export function getGoodsCart(id) {
  return request({
    url: '/system/GoodsCart/' + id,
    method: 'get'
  })
}

// 新增购物车
export function addGoodsCart(data) {
  return request({
    url: '/system/GoodsCart',
    method: 'post',
    data: data
  })
}

// 修改购物车
export function updateGoodsCart(data) {
  return request({
    url: '/system/GoodsCart',
    method: 'put',
    data: data
  })
}

// 删除购物车
export function delGoodsCart(id) {
  return request({
    url: '/system/GoodsCart/' + id,
    method: 'delete'
  })
}
